Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin.create
Class CreateBuild

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.build.admin.create.CreateBuild

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class CreateBuild

extends BambooActionSupport

Field Summary
`static String` | `BUILD_KEY_CHARACTERS`
`static String` | `ILLEGAL_NAME_CHARACTER`
`static String` | `PROJECT_KEY_CHARACTERS`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`CreateBuild()`

Method Summary
`String` | `doCreateBuild()`
`String` | `doDefault()`
`String` | `doEdit()`
`String` | `doRead()`
`String` | `getBuildKey()`
`String` | `getBuildKeyToClone()`
`String` | `getBuildName()`
`Collection` | `getBuildsToClone()`
`String` | `getCloneProject()`
`String` | `getExistingProjectKey()`
`Collection` | `getExistingProjects()`
`String` | `getProjectKey()`
`String` | `getProjectName()`
`void` | `setBuildDefinitionConverter(BuildDefinitionConverter buildDefinitionConverter)`
`void` | `setBuildKey(String buildKey)`
`void` | `setBuildKeyToClone(String buildKeyToClone)`
`void` | `setBuildName(String buildName)`
`void` | `setBuildStrategyManager(BuildStrategyManager buildStrategyManager)`
`void` | `setCloneProject(String cloneProject)`
`void` | `setExistingProjectKey(String existingProjectKey)`
`void` | `setProjectKey(String projectKey)`
`void` | `setProjectName(String projectName)`
`void` | `setRepositoryManager(RepositoryManager repositoryManager)`
`void` | `validate()`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### ILLEGAL_NAME_CHARACTER

    public static final String ILLEGAL_NAME_CHARACTER

See Also:
  Constant Field Values

### PROJECT_KEY_CHARACTERS

    public static final String PROJECT_KEY_CHARACTERS

See Also:
  Constant Field Values

### BUILD_KEY_CHARACTERS

    public static final String BUILD_KEY_CHARACTERS

See Also:
  Constant Field Values

Constructor Detail

### CreateBuild

    public CreateBuild()

Method Detail

### doRead

    public String doRead()
                  throws Exception

  Throws:
    `Exception`

### doEdit

    public String doEdit()
                  throws Exception

  Throws:
    `Exception`

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### validate

    public void validate()

### doCreateBuild

    public String doCreateBuild()
                         throws Exception

  Throws:
    `Exception`

### getBuildsToClone

    public Collection getBuildsToClone()

### getExistingProjects

    public Collection getExistingProjects()

### getBuildName

    public String getBuildName()

### setBuildName

    public void setBuildName(String buildName)

### getBuildKey

    public String getBuildKey()

### setBuildKey

    public void setBuildKey(String buildKey)

### setRepositoryManager

    public void setRepositoryManager(RepositoryManager repositoryManager)

### setBuildDefinitionConverter

    public void setBuildDefinitionConverter(BuildDefinitionConverter buildDefinitionConverter)

### setBuildStrategyManager

    public void setBuildStrategyManager(BuildStrategyManager buildStrategyManager)

### getBuildKeyToClone

    public String getBuildKeyToClone()

### setBuildKeyToClone

    public void setBuildKeyToClone(String buildKeyToClone)

### getCloneProject

    public String getCloneProject()

### setCloneProject

    public void setCloneProject(String cloneProject)

### getProjectKey

    public String getProjectKey()

### setProjectKey

    public void setProjectKey(String projectKey)

### getProjectName

    public String getProjectName()

### setProjectName

    public void setProjectName(String projectName)

### getExistingProjectKey

    public String getExistingProjectKey()

### setExistingProjectKey

    public void setExistingProjectKey(String existingProjectKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.